<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/white"
    tools:context=".patient_dashboard.DirectionToHomeActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <ImageView
            android:id="@+id/back_btn"
            android:layout_width="35sp"
            android:layout_height="35sp"
            android:contentDescription="@string/back_button"
            android:padding="5dp"
            app:srcCompat="@drawable/ic_home_nav_up"
            android:layout_marginTop="25dp"
            android:layout_marginHorizontal="15dp"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/direction_to_home"
            android:fontFamily="@font/nunito_medium"
            android:textSize="@dimen/_18ssp"
            android:textColor="@color/black"
            android:layout_marginHorizontal="15dp"
            android:layout_marginVertical="15dp"
            />

        <fragment
            android:id="@+id/direction_map"
            android:name="com.google.android.gms.maps.SupportMapFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"/>

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/progress"
        android:clickable="true"
        android:focusable="true"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/darker_gray"
        android:alpha="0.7"
        >

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"

            android:layout_centerInParent="true"
            android:indeterminate="true"
            android:indeterminateTint="@color/color_primary_dark"

            />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/direction_bs"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:behavior_hideable="false"
        app:behavior_peekHeight="70dp"
        android:background="@drawable/top_round_corner"
        app:layout_behavior="com.google.android.material.bottomsheet.BottomSheetBehavior">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingVertical="15dp"
            android:paddingHorizontal="15dp">

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black"
                android:layout_marginHorizontal="150dp"/>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:text="@string/directions"
                android:fontFamily="@font/nunito_medium"
                android:textColor="@color/black"
                android:textAppearance="@style/TextAppearance.Material3.TitleLarge"

                android:layout_marginTop="10dp"
                />

            <ImageView
                android:id="@+id/close_btn"
                android:visibility="gone"
                android:layout_width="20dp"
                android:layout_height="20dp"

                android:src="@drawable/ic_close_cross"

                android:layout_alignParentEnd="true"
                android:layout_marginTop="15dp"

                />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="15dp"
            android:layout_margin="15dp"
            android:background="@drawable/edit_text_bg_2"
            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/img_pat_curr_location"
                    android:scaleType="fitXY"
                    />

                <TextView
                    android:id="@+id/your_loc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginStart="5dp"

                    android:layout_gravity="center_vertical"

                    android:text="@string/your_location"
                    android:fontFamily="@font/nunito_medium"
                    android:textColor="@color/black"
                    android:textAppearance="@style/TextAppearance.Material3.TitleSmall" />

            </LinearLayout>

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"

                android:src="@drawable/ic_dotted_dash"
                android:layout_marginStart="11dp"
                android:layout_marginVertical="5dp"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/img_home_marker"
                    android:scaleType="fitXY"
                    />

                <TextView
                    android:id="@+id/home_loc"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"

                    android:layout_marginStart="5dp"

                    android:layout_gravity="center_vertical"

                    android:text="@string/home_address_txt"
                    android:fontFamily="@font/nunito_medium"
                    android:textColor="@color/black"
                    android:textAppearance="@style/TextAppearance.Material3.TitleSmall" />

            </LinearLayout>

        </LinearLayout>

        <com.google.android.material.button.MaterialButton
            android:id="@+id/go_btn"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_marginHorizontal="15dp"
            android:layout_marginBottom="10dp"

            android:text="@string/go"
            android:fontFamily="@font/nunito_bold"
            android:textColor="@color/white"

            app:cornerRadius="5dp"

            />

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>